setwd("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/boxplots_DEG")

load("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/workspace_limma.RData")

#Pollen T3 versus pollen T0 (42d)
DEGs_pollen_T3_vs_pollen_T0<-table_PollenT3vsPollenT0[which(table_PollenT3vsPollenT0$adj.P.Val<=0.05),]
DEGs_control_T5_vs_control_T0<-table_ControlT3vsControlT0[which(table_ControlT3vsControlT0$adj.P.Val<=0.05),]
indices<-which(rownames(DEGs_pollen_T3_vs_pollen_T0) %in% rownames(DEGs_control_T5_vs_control_T0))
DEGs_pollen_T3_vs_pollen_T0<-DEGs_pollen_T3_vs_pollen_T0[-indices,]
d<-dim(DEGs_pollen_T3_vs_pollen_T0)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_pollen_T3_vs_pollen_T0)[i])
}
col_indices1<-which(phenotype=="P" & time=="0")
col_indices2<-which(phenotype=="P" & time=="42")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_pollen_T3_vs_pollen_T0))

pdf("boxplots_pollen_0d_vs_pollen_42d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_pollen_T3_vs_pollen_T0[i,]),"-",DEGs_pollen_T3_vs_pollen_T0$gene_symbol[i]),
          names = c("pollen 0d","pollen 42d"),
          ylab = "log2 expr")
}
dev.off()

#Pollen T4 versus pollen T0 (84d)
DEGs_pollen_T4_vs_pollen_T0<-table_PollenT4vsPollenT0[which(table_PollenT4vsPollenT0$adj.P.Val<=0.05),]
d<-dim(DEGs_pollen_T4_vs_pollen_T0)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_pollen_T4_vs_pollen_T0)[i])
}
col_indices1<-which(phenotype=="P" & time=="0")
col_indices2<-which(phenotype=="P" & time=="84")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_pollen_T4_vs_pollen_T0))

pdf("boxplots_pollen_0d_vs_pollen_84d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_pollen_T4_vs_pollen_T0[i,]),"-",DEGs_pollen_T4_vs_pollen_T0$gene_symbol[i]),
          names = c("pollen 0d","pollen 84d"),
          ylab = "log2 expr")
}
dev.off()

#Venom T1 versus venom T0
DEGs_venom_T1_vs_venom_T0<-table_VenomT1vsVenomT0[which(table_VenomT1vsVenomT0$adj.P.Val<=0.05),]
DEGs_control_T1_vs_control_T0<-table_ControlT1vsControlT0[which(table_ControlT1vsControlT0$adj.P.Val<=0.05),]
indices<-which(rownames(DEGs_venom_T1_vs_venom_T0) %in% rownames(DEGs_control_T1_vs_control_T0))
DEGs_venom_T1_vs_venom_T0<-DEGs_venom_T1_vs_venom_T0[-indices,]
d<-dim(DEGs_venom_T1_vs_venom_T0)[1]
row_indices<-vector(mode='integer',length=d)
#PUT A LOOP EVERYWHERE INSTEAD OF USING "IN"
for (i in 1:d){
row_indices[i]<-which(rownames(data)==rownames(DEGs_venom_T1_vs_venom_T0)[i])
}
col_indices1<-which(phenotype=="V" & time=="0")
col_indices2<-which(phenotype=="V" & time=="0.3")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_venom_T1_vs_venom_T0))

pdf("boxplots_venom_0d_vs_venom_8h.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_venom_T1_vs_venom_T0[i,]),"-",DEGs_venom_T1_vs_venom_T0$gene_symbol[i]),
          names = c("venom 0d","venom 0.3d"),
          ylab = "log2 expr")
}
dev.off()

#Venom T2 versus venom T0
DEGs_venom_T2_vs_venom_T0<-table_VenomT2vsVenomT0[which(table_VenomT2vsVenomT0$adj.P.Val<=0.05),]
d<-dim(DEGs_venom_T2_vs_venom_T0)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_venom_T2_vs_venom_T0)[i])
}
col_indices1<-which(phenotype=="V" & time=="0")
col_indices2<-which(phenotype=="V" & time=="1")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_venom_T2_vs_venom_T0))

pdf("boxplots_venom_0d_vs_venom_1d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_venom_T2_vs_venom_T0[i,]),"-",DEGs_venom_T2_vs_venom_T0$gene_symbol[i]),
          names = c("venom 0d","venom 1d"),
          ylab = "log2 expr")
}
dev.off()

#Venom T3 versus venom T0
DEGs_venom_T3_vs_venom_T0<-table_VenomT3vsVenomT0[which(table_VenomT3vsVenomT0$adj.P.Val<=0.05),]
DEGs_control_T3_vs_control_T0<-table_ControlT3vsControlT0[which(table_ControlT3vsControlT0$adj.P.Val<=0.05),]
indices<-which(rownames(DEGs_venom_T3_vs_venom_T0) %in% rownames(DEGs_control_T3_vs_control_T0))
DEGs_venom_T3_vs_venom_T0<-DEGs_venom_T3_vs_venom_T0[-indices,]
d<-dim(DEGs_venom_T3_vs_venom_T0)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_venom_T3_vs_venom_T0)[i])
}
col_indices1<-which(phenotype=="V" & time=="0")
col_indices2<-which(phenotype=="V" & time=="7")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_venom_T3_vs_venom_T0))

pdf("boxplots_venom_0d_vs_venom_7d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_venom_T3_vs_venom_T0[i,]),"-",DEGs_venom_T3_vs_venom_T0$gene_symbol[i]),
          names = c("venom 0d","venom 7d"),
          ylab = "log2 expr")
}
dev.off()

#Pollen T0 versus ctrl T0
DEGs_Pollen_T0_vs_Control_T0<-table_PollenT0vsControlT0[which(table_PollenT0vsControlT0$adj.P.Val<=0.05),]
d<-dim(DEGs_Pollen_T0_vs_Control_T0)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_Pollen_T0_vs_Control_T0)[i])
}
col_indices1<-which(phenotype=="C" & time=="0")
col_indices2<-which(phenotype=="P" & time=="0")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_Pollen_T0_vs_Control_T0))

pdf("boxplots_ctrl_0d_vs_pollen_0d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_Pollen_T0_vs_Control_T0[i,]),"-",DEGs_Pollen_T0_vs_Control_T0$gene_symbol[i]),
          names = c("control 0d","pollen 0d"),
          ylab = "log2 expr")
}
dev.off()

#Pollen T1 versus ctrl T1
DEGs_Pollen_T1_vs_Control_T1<-table_PollenT1vsControlT1[which(table_PollenT1vsControlT1$adj.P.Val<=0.05),]
d<-dim(DEGs_Pollen_T1_vs_Control_T1)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_Pollen_T1_vs_Control_T1)[i])
}
col_indices1<-which(phenotype=="C" & time=="1")
col_indices2<-which(phenotype=="P" & time=="1")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_Pollen_T1_vs_Control_T1))

pdf("boxplots_ctrl_1d_vs_pollen_1d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_Pollen_T1_vs_Control_T1[i,]),"-",DEGs_Pollen_T1_vs_Control_T1$gene_symbol[i]),
          names = c("control 1d","pollen 1d"),
          ylab = "log2 expr")
}
dev.off()

#Pollen T2 versus ctrl T2
DEGs_Pollen_T2_vs_Control_T2<-table_PollenT2vsControlT2[which(table_PollenT2vsControlT2$adj.P.Val<=0.05),]
d<-dim(DEGs_Pollen_T2_vs_Control_T2)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_Pollen_T2_vs_Control_T2)[i])
}
col_indices1<-which(phenotype=="C" & time=="14")
col_indices2<-which(phenotype=="P" & time=="14")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_Pollen_T2_vs_Control_T2))

pdf("boxplots_ctrl_14d_vs_pollen_14d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_Pollen_T2_vs_Control_T2[i,]),"-",DEGs_Pollen_T2_vs_Control_T2$gene_symbol[i]),
          names = c("control 14d","pollen 14d"),
          ylab = "log2 expr")
}
dev.off()

#Pollen T4 versus ctrl T4
DEGs_Pollen_T4_vs_Control_T4<-table_PollenT4vsControlT4[which(table_PollenT4vsControlT4$adj.P.Val<=0.05),]
d<-dim(DEGs_Pollen_T4_vs_Control_T4)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_Pollen_T4_vs_Control_T4)[i])
}
col_indices1<-which(phenotype=="C" & time=="84")
col_indices2<-which(phenotype=="P" & time=="84")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_Pollen_T4_vs_Control_T4))

pdf("boxplots_ctrl_84d_vs_pollen_84d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_Pollen_T4_vs_Control_T4[i,]),"-",DEGs_Pollen_T4_vs_Control_T4$gene_symbol[i]),
          names = c("control 84d","pollen 84d"),
          ylab = "log2 expr")
}
dev.off()

#Venom T0 versus ctrl T0
DEGs_Venom_T0_vs_Control_T0<-table_VenomT0vsControlT0[which(table_VenomT0vsControlT0$adj.P.Val<=0.05),]
d<-dim(DEGs_Venom_T0_vs_Control_T0)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_Venom_T0_vs_Control_T0)[i])
}
col_indices1<-which(phenotype=="C" & time=="0")
col_indices2<-which(phenotype=="V" & time=="0")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_Venom_T0_vs_Control_T0))

pdf("boxplots_ctrl_0d_vs_venom_0d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_Venom_T0_vs_Control_T0[i,]),"-",DEGs_Venom_T0_vs_Control_T0$gene_symbol[i]),
          names = c("control 0d","venom 0d"),
          ylab = "log2 expr")
}
dev.off()

#Venom T1 versus ctrl T1
DEGs_Venom_T1_vs_Control_T1<-table_VenomT1vsControlT1[which(table_VenomT1vsControlT1$adj.P.Val<=0.05),]
d<-dim(DEGs_Venom_T1_vs_Control_T1)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_Venom_T1_vs_Control_T1)[i])
}
col_indices1<-which(phenotype=="C" & time=="0.3")
col_indices2<-which(phenotype=="V" & time=="0.3")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_Venom_T1_vs_Control_T1))

pdf("boxplots_ctrl_8h_vs_venom_8h.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_Venom_T1_vs_Control_T1[i,]),"-",DEGs_Venom_T1_vs_Control_T1$gene_symbol[i]),
          names = c("control 0.3d","venom 0.3d"),
          ylab = "log2 expr")
}
dev.off()

#Venom T2 versus ctrl T2
DEGs_Venom_T2_vs_Control_T2<-table_VenomT2vsControlT2[which(table_VenomT2vsControlT2$adj.P.Val<=0.05),]
d<-dim(DEGs_Venom_T2_vs_Control_T2)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_Venom_T2_vs_Control_T2)[i])
}
col_indices1<-which(phenotype=="C" & time=="1")
col_indices2<-which(phenotype=="V" & time=="1")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_Venom_T2_vs_Control_T2))

pdf("boxplots_ctrl_1d_vs_venom_1d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_Venom_T2_vs_Control_T2[i,]),"-",DEGs_Venom_T2_vs_Control_T2$gene_symbol[i]),
          names = c("control 1d","venom 1d"),
          ylab = "log2 expr")
}
dev.off()

#Venom T3 versus ctrl T3
DEGs_Venom_T3_vs_Control_T3<-table_VenomT3vsControlT3[which(table_VenomT3vsControlT3$adj.P.Val<=0.05),]
d<-dim(DEGs_Venom_T3_vs_Control_T3)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_Venom_T3_vs_Control_T3)[i])
}
col_indices1<-which(phenotype=="C" & time=="7")
col_indices2<-which(phenotype=="V" & time=="7")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_Venom_T3_vs_Control_T3))

pdf("boxplots_ctrl_7d_vs_venom_7d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(rownames(DEGs_Venom_T3_vs_Control_T3[i,]),"-",DEGs_Venom_T3_vs_Control_T3$gene_symbol[i]),
          names = c("control 7d","venom 7d"),
          ylab = "log2 expr")
}
dev.off()