setwd("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/heatmaps")

load("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/workspace_limma.RData")

library(readxl)
library(ComplexHeatmap)

# Pollen 0d vs ctrl 0d
DEG_PollenT0vsControlT0 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_PollenT0vsControlT0.xlsx")
index1<-which(phenotype=="C" & time==0)
index2<-which(phenotype=="P" & time==0)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_PollenT0vsControlT0[,8]$gene_symbol),index]
genes_sel<-gene_names[which(gene_names %in% DEG_PollenT0vsControlT0[,8]$gene_symbol)]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("control 0d",length(index1)),rep("pollen 0d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("control 0d"="darkgreen","pollen 0d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = TRUE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs pollen 0d vs ctrl 0d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = TRUE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs pollen 0d vs ctrl 0d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Pollen 1d vs ctrl 1d
DEG_PollenT1vsControlT1 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_PollenT1vsControlT1.xlsx")
index1<-which(phenotype=="C" & time==1)
index2<-which(phenotype=="P" & time==1)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_PollenT1vsControlT1[,8]$gene_symbol),index]
genes_sel<-gene_names[which(gene_names %in% DEG_PollenT1vsControlT1[,8]$gene_symbol)]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("control 1d",length(index1)),rep("pollen 1d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("control 1d"="darkgreen","pollen 1d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = TRUE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs pollen 1d vs ctrl 1d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = TRUE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs pollen 1d vs ctrl 1d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Pollen 14d vs ctrl 14d
DEG_PollenT2vsControlT2 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_PollenT2vsControlT2.xlsx")
index1<-which(phenotype=="C" & time==14)
index2<-which(phenotype=="P" & time==14)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_PollenT2vsControlT2[,8]$gene_symbol),index]
genes_sel<-gene_names[which(gene_names %in% DEG_PollenT2vsControlT2[,8]$gene_symbol)]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("control 14d",length(index1)),rep("pollen 14d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("control 14d"="darkgreen","pollen 14d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = FALSE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs pollen 14d vs ctrl 14d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = FALSE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs pollen 14d vs ctrl 14d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Pollen 84d vs ctrl 84d
DEG_PollenT4vsControlT4 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_PollenT4vsControlT4.xlsx")
index1<-which(phenotype=="C" & time==84)
index2<-which(phenotype=="P" & time==84)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_PollenT4vsControlT4[,8]$gene_symbol),index]
genes_sel<-gene_names[which(gene_names %in% DEG_PollenT4vsControlT4[,8]$gene_symbol)]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("control 84d",length(index1)),rep("pollen 84d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("control 84d"="darkgreen","pollen 84d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = FALSE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs pollen 84d vs ctrl 84d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = FALSE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs pollen 84d vs ctrl 84d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Venom 0d vs ctrl 0d
DEG_VenomT0vsControlT0 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_VenomT0vsControlT0.xlsx")
index1<-which(phenotype=="C" & time==0)
index2<-which(phenotype=="V" & time==0)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_VenomT0vsControlT0[,8]$gene_symbol),index]
genes_sel<-gene_names[which(gene_names %in% DEG_VenomT0vsControlT0[,8]$gene_symbol)]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("control 0d",length(index1)),rep("venom 0d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("control 0d"="darkgreen","venom 0d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = TRUE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs venom 0d vs ctrl 0d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = TRUE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs venom 0d vs ctrl 0d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Venom 0.3d vs ctrl 0.3d
DEG_VenomT1vsControlT1 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_VenomT1vsControlT1.xlsx")
index1<-which(phenotype=="C" & time==0.3)
index2<-which(phenotype=="V" & time==0.3)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_VenomT1vsControlT1[,8]$gene_symbol),index]
genes_sel<-gene_names[which(gene_names %in% DEG_VenomT1vsControlT1[,8]$gene_symbol)]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("control 0.3d",length(index1)),rep("venom 0.3d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("control 0.3d"="darkgreen","venom 0.3d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = TRUE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs venom 0.3d vs ctrl 0.3d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = TRUE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs venom 0.3d vs ctrl 0.3d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Venom 1d vs ctrl 1d
DEG_VenomT2vsControlT2 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_VenomT2vsControlT2.xlsx")
index1<-which(phenotype=="C" & time==1)
index2<-which(phenotype=="V" & time==1)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_VenomT2vsControlT2[,8]$gene_symbol),index]
genes_sel<-gene_names[which(gene_names %in% DEG_VenomT2vsControlT2[,8]$gene_symbol)]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("control 1d",length(index1)),rep("venom 1d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("control 1d"="darkgreen","venom 1d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = TRUE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs venom 1d vs ctrl 1d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = TRUE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs venom 1d vs ctrl 1d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Venom 7d vs ctrl 7d
DEG_VenomT3vsControlT3 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_VenomT3vsControlT3.xlsx")
index1<-which(phenotype=="C" & time==7)
index2<-which(phenotype=="V" & time==7)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_VenomT3vsControlT3[,8]$gene_symbol),index]
genes_sel<-gene_names[which(gene_names %in% DEG_VenomT3vsControlT3[,8]$gene_symbol)]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("control 7d",length(index1)),rep("venom 7d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("control 7d"="darkgreen","venom 7d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = TRUE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs venom 7d vs ctrl 7d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = TRUE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs venom 7d vs ctrl 7d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Pollen 42d vs pollen 0d
DEG_PollenT3vsPollenT0 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_PollenT3vsPollenT0.xlsx")
index1<-which(phenotype=="P" & time==0)
index2<-which(phenotype=="P" & time==42)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_PollenT3vsPollenT0[,8]$gene_symbol),index]
genes_sel<-gene_names[which(gene_names %in% DEG_PollenT3vsPollenT0[,8]$gene_symbol)]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("pollen 0d",length(index1)),rep("pollen 42d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("pollen 0d"="darkgreen","pollen 42d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = TRUE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs pollen 42d vs pollen 0d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = TRUE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs pollen 42d vs pollen 0d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Pollen 84d vs pollen 0d
DEG_PollenT4vsPollenT0 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_PollenT4vsPollenT0.xlsx")
index1<-which(phenotype=="P" & time==0)
index2<-which(phenotype=="P" & time==84)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_PollenT4vsPollenT0[,8]$gene_symbol & gene_names!="NA"),index]
genes_sel<-gene_names[which(gene_names %in% DEG_PollenT4vsPollenT0[,8]$gene_symbol & gene_names!="NA")]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("pollen 0d",length(index1)),rep("pollen 84d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("pollen 0d"="darkgreen","pollen 84d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = FALSE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs pollen 84d vs pollen 0d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = FALSE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs pollen 84d vs pollen 0d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Venom 0.3d vs venom 0d
DEG_VenomT1vsVenomT0 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_VenomT1vsVenomT0.xlsx")
index1<-which(phenotype=="V" & time==0)
index2<-which(phenotype=="V" & time==0.3)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_VenomT1vsVenomT0[,8]$gene_symbol & gene_names!="NA"),index]
genes_sel<-gene_names[which(gene_names %in% DEG_VenomT1vsVenomT0[,8]$gene_symbol & gene_names!="NA")]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("venom 0d",length(index1)),rep("venom 0.3d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("venom 0d"="darkgreen","venom 0.3d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = TRUE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs venom 0.3d vs venom 0d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = TRUE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs venom 0.3d vs venom 0d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Venom 1d vs venom 0d
DEG_VenomT2vsVenomT0 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_VenomT2vsVenomT0.xlsx")
index1<-which(phenotype=="V" & time==0)
index2<-which(phenotype=="V" & time==1)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_VenomT2vsVenomT0[,8]$gene_symbol & gene_names!="NA"),index]
genes_sel<-gene_names[which(gene_names %in% DEG_VenomT2vsVenomT0[,8]$gene_symbol & gene_names!="NA")]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("venom 0d",length(index1)),rep("venom 1d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("venom 0d"="darkgreen","venom 1d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = TRUE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs venom 1d vs venom 0d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = TRUE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs venom 1d vs venom 0d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

# Venom 7d vs venom 0d
DEG_VenomT3vsVenomT0 <- read_excel("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_VenomT3vsVenomT0.xlsx")
index1<-which(phenotype=="V" & time==0)
index2<-which(phenotype=="V" & time==7)
index<-c(index1,index2)
data_sel<-data[which(gene_names %in% DEG_VenomT3vsVenomT0[,8]$gene_symbol & gene_names!="NA"),index]
genes_sel<-gene_names[which(gene_names %in% DEG_VenomT3vsVenomT0[,8]$gene_symbol & gene_names!="NA")]
rownames(data_sel)<-genes_sel
person_sel<-person[index]
colnames(data_sel)<-person_sel
mean<-apply(data_sel,1,mean)
sd<-apply(data_sel,1,sd)
data_sel_zscore<-(data_sel-mean)/sd
group_heatmap<-c(rep("venom 0d",length(index1)),rep("venom 7d",length(index2)))
df<-data.frame(type=group_heatmap)
ha<-HeatmapAnnotation(df=df,col=list(type=c("venom 0d"="darkgreen","venom 7d"="orange")),
                      annotation_legend_param = list(title_gp=gpar(fontsize=14),
                                                     labels_gp=gpar(fontsize=14)))
rownames(data_sel_zscore)<-genes_sel
h=Heatmap(data_sel_zscore,
          show_column_names = TRUE,
          show_row_names = TRUE,
          cluster_rows = TRUE,
          cluster_columns = TRUE,
          column_title = "DEGs venom 7d vs venom 0d",
          name = "Row Z-score",
          top_annotation = ha,
          heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))
h2=Heatmap(data_sel_zscore,
           show_column_names = TRUE,
           show_row_names = TRUE,
           cluster_rows = TRUE,
           cluster_columns = FALSE,
           column_title = "DEGs venom 7d vs venom 0d",
           name = "Row Z-score",
           top_annotation = ha,
           heatmap_legend_param = list(title_gp=gpar(fontsize=14),labels_gp=gpar(fontsize=14)))

