setwd("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA")
load("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/workspace_limma.RData")

#Pollen T3 versus pollen T0 (42d)
DEGs_pollen_T3_vs_pollen_T0<-table_PollenT3vsPollenT0[which(table_PollenT3vsPollenT0$adj.P.Val<=0.05),]
DEGs_control_T5_vs_control_T0<-table_ControlT3vsControlT0[which(table_ControlT3vsControlT0$adj.P.Val<=0.05),]
indices<-which(rownames(DEGs_pollen_T3_vs_pollen_T0) %in% rownames(DEGs_control_T5_vs_control_T0))
DEGs_pollen_T3_vs_pollen_T0<-DEGs_pollen_T3_vs_pollen_T0[-indices,]
row_indices<-which(rownames(data) %in% rownames(DEGs_pollen_T3_vs_pollen_T0))
col_indices<-which(phenotype=="P" & time=="42")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_pollen_T3_vs_pollen_T0_high <- as.character(DEGs_pollen_T3_vs_pollen_T0[which(rownames(DEGs_pollen_T3_vs_pollen_T0) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_pollen_T3_vs_pollen_T0[which(rownames(DEGs_pollen_T3_vs_pollen_T0) %in% DEGs_high_expr),]))
DEGs_pollen_T3_vs_pollen_T0_high<-data.frame(entrez=entrez,
                                             gene_symbol=DEGs_pollen_T3_vs_pollen_T0_high)
write.table(DEGs_pollen_T3_vs_pollen_T0_high,
            file="DEGs_pollen_T3_vs_pollen_T0_high.txt",
            row.names = FALSE,col.names = TRUE)

#Pollen T4 versus pollen T0 (84d)
DEGs_pollen_T4_vs_pollen_T0<-table_PollenT4vsPollenT0[which(table_PollenT4vsPollenT0$adj.P.Val<=0.05),]
row_indices<-which(rownames(data) %in% rownames(DEGs_pollen_T4_vs_pollen_T0))
col_indices<-which(phenotype=="P" & time=="84")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_pollen_T4_vs_pollen_T0_high <- as.character(DEGs_pollen_T4_vs_pollen_T0[which(rownames(DEGs_pollen_T4_vs_pollen_T0) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_pollen_T4_vs_pollen_T0[which(rownames(DEGs_pollen_T4_vs_pollen_T0) %in% DEGs_high_expr),]))
DEGs_pollen_T4_vs_pollen_T0_high<-data.frame(entrez=entrez,
                                             gene_symbol=DEGs_pollen_T4_vs_pollen_T0_high)
write.table(DEGs_pollen_T4_vs_pollen_T0_high,
            file="DEGs_pollen_T4_vs_pollen_T0_high.txt",
            row.names = FALSE,col.names = TRUE)

#Venom T1 versus venom T0
DEGs_venom_T1_vs_venom_T0<-table_VenomT1vsVenomT0[which(table_VenomT1vsVenomT0$adj.P.Val<=0.05),]
DEGs_control_T1_vs_control_T0<-table_ControlT1vsControlT0[which(table_ControlT1vsControlT0$adj.P.Val<=0.05),]
indices<-which(rownames(DEGs_venom_T1_vs_venom_T0) %in% rownames(DEGs_control_T1_vs_control_T0))
DEGs_venom_T1_vs_venom_T0<-DEGs_venom_T1_vs_venom_T0[-indices,]
row_indices<-which(rownames(data) %in% rownames(DEGs_venom_T1_vs_venom_T0))
col_indices<-which(phenotype=="V" & time=="0.3")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_venom_T1_vs_venom_T0_high <- as.character(DEGs_venom_T1_vs_venom_T0[which(rownames(DEGs_venom_T1_vs_venom_T0) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_venom_T1_vs_venom_T0[which(rownames(DEGs_venom_T1_vs_venom_T0) %in% DEGs_high_expr),]))
DEGs_venom_T1_vs_venom_T0_high<-data.frame(entrez=entrez,
                                             gene_symbol=DEGs_venom_T1_vs_venom_T0_high)
write.table(DEGs_venom_T1_vs_venom_T0_high,
            file="DEGs_venom_T1_vs_venom_T0_high.txt",
            row.names = FALSE,col.names = TRUE)

#Venom T2 versus venom T0
DEGs_venom_T2_vs_venom_T0<-table_VenomT2vsVenomT0[which(table_VenomT2vsVenomT0$adj.P.Val<=0.05),]
row_indices<-which(rownames(data) %in% rownames(DEGs_venom_T2_vs_venom_T0))
col_indices<-which(phenotype=="V" & time=="1")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_venom_T2_vs_venom_T0_high <- as.character(DEGs_venom_T2_vs_venom_T0[which(rownames(DEGs_venom_T2_vs_venom_T0) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_venom_T2_vs_venom_T0[which(rownames(DEGs_venom_T2_vs_venom_T0) %in% DEGs_high_expr),]))
DEGs_venom_T2_vs_venom_T0_high<-data.frame(entrez=entrez,
                                           gene_symbol=DEGs_venom_T2_vs_venom_T0_high)
write.table(DEGs_venom_T2_vs_venom_T0_high,
            file="DEGs_venom_T2_vs_venom_T0_high.txt",
            row.names = FALSE,col.names = TRUE)

#Venom T3 versus venom T0
DEGs_venom_T3_vs_venom_T0<-table_VenomT3vsVenomT0[which(table_VenomT3vsVenomT0$adj.P.Val<=0.05),]
DEGs_control_T3_vs_control_T0<-table_ControlT3vsControlT0[which(table_ControlT3vsControlT0$adj.P.Val<=0.05),]
indices<-which(rownames(DEGs_venom_T3_vs_venom_T0) %in% rownames(DEGs_control_T3_vs_control_T0))
DEGs_venom_T3_vs_venom_T0<-DEGs_venom_T3_vs_venom_T0[-indices,]
row_indices<-which(rownames(data) %in% rownames(DEGs_venom_T3_vs_venom_T0))
col_indices<-which(phenotype=="V" & time=="7")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_venom_T3_vs_venom_T0_high <- as.character(DEGs_venom_T3_vs_venom_T0[which(rownames(DEGs_venom_T3_vs_venom_T0) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_venom_T3_vs_venom_T0[which(rownames(DEGs_venom_T3_vs_venom_T0) %in% DEGs_high_expr),]))
DEGs_venom_T3_vs_venom_T0_high<-data.frame(entrez=entrez,
                                           gene_symbol=DEGs_venom_T3_vs_venom_T0_high)
write.table(DEGs_venom_T3_vs_venom_T0_high,
            file="DEGs_venom_T3_vs_venom_T0_high.txt",
            row.names = FALSE,col.names = TRUE)

#Pollen T0 versus ctrl T0
DEGs_Pollen_T0_vs_Control_T0<-table_PollenT0vsControlT0[which(table_PollenT0vsControlT0$adj.P.Val<=0.05),]
row_indices<-which(rownames(data) %in% rownames(DEGs_Pollen_T0_vs_Control_T0))
col_indices<-which(phenotype=="P" & time=="0")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_Pollen_T0_vs_Control_T0_high <- as.character(DEGs_Pollen_T0_vs_Control_T0[which(rownames(DEGs_Pollen_T0_vs_Control_T0) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_Pollen_T0_vs_Control_T0[which(rownames(DEGs_Pollen_T0_vs_Control_T0) %in% DEGs_high_expr),]))
DEGs_Pollen_T0_vs_Control_T0_high<-data.frame(entrez=entrez,
                                           gene_symbol=DEGs_Pollen_T0_vs_Control_T0_high)
write.table(DEGs_Pollen_T0_vs_Control_T0_high,
            file="DEGs_Pollen_T0_vs_Control_T0_high.txt",
            row.names = FALSE,col.names = TRUE)

#Pollen T1 versus ctrl T1
DEGs_Pollen_T1_vs_Control_T1<-table_PollenT1vsControlT1[which(table_PollenT1vsControlT1$adj.P.Val<=0.05),]
row_indices<-which(rownames(data) %in% rownames(DEGs_Pollen_T1_vs_Control_T1))
col_indices<-which(phenotype=="P" & time=="1")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_Pollen_T1_vs_Control_T1_high <- as.character(DEGs_Pollen_T1_vs_Control_T1[which(rownames(DEGs_Pollen_T1_vs_Control_T1) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_Pollen_T1_vs_Control_T1[which(rownames(DEGs_Pollen_T1_vs_Control_T1) %in% DEGs_high_expr),]))
DEGs_Pollen_T1_vs_Control_T1_high<-data.frame(entrez=entrez,
                                              gene_symbol=DEGs_Pollen_T1_vs_Control_T1_high)
write.table(DEGs_Pollen_T1_vs_Control_T1_high,
            file="DEGs_Pollen_T1_vs_Control_T1_high.txt",
            row.names = FALSE,col.names = TRUE)

#Pollen T2 versus ctrl T2
DEGs_Pollen_T2_vs_Control_T2<-table_PollenT2vsControlT2[which(table_PollenT2vsControlT2$adj.P.Val<=0.05),]
row_indices<-which(rownames(data) %in% rownames(DEGs_Pollen_T2_vs_Control_T2))
col_indices<-which(phenotype=="P" & time=="14")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_Pollen_T2_vs_Control_T2_high <- as.character(DEGs_Pollen_T2_vs_Control_T2[which(rownames(DEGs_Pollen_T2_vs_Control_T2) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_Pollen_T2_vs_Control_T2[which(rownames(DEGs_Pollen_T2_vs_Control_T2) %in% DEGs_high_expr),]))
DEGs_Pollen_T2_vs_Control_T2_high<-data.frame(entrez=entrez,
                                              gene_symbol=DEGs_Pollen_T2_vs_Control_T2_high)
write.table(DEGs_Pollen_T2_vs_Control_T2_high,
            file="DEGs_Pollen_T2_vs_Control_T2_high.txt",
            row.names = FALSE,col.names = TRUE)

#Pollen T3 versus ctrl T3
DEGs_Pollen_T3_vs_Control_T3<-table_PollenT3vsControlT3[which(table_PollenT3vsControlT3$adj.P.Val<=0.05),]
# no DEGs !!

#Pollen T4 versus ctrl T4
DEGs_Pollen_T4_vs_Control_T4<-table_PollenT4vsControlT4[which(table_PollenT4vsControlT4$adj.P.Val<=0.05),]
row_indices<-which(rownames(data) %in% rownames(DEGs_Pollen_T4_vs_Control_T4))
col_indices<-which(phenotype=="P" & time=="84")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_Pollen_T4_vs_Control_T4_high <- as.character(DEGs_Pollen_T4_vs_Control_T4[which(rownames(DEGs_Pollen_T4_vs_Control_T4) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_Pollen_T4_vs_Control_T4[which(rownames(DEGs_Pollen_T4_vs_Control_T4) %in% DEGs_high_expr),]))
DEGs_Pollen_T4_vs_Control_T4_high<-data.frame(entrez=entrez,
                                              gene_symbol=DEGs_Pollen_T4_vs_Control_T4_high)
write.table(DEGs_Pollen_T4_vs_Control_T4_high,
            file="DEGs_Pollen_T4_vs_Control_T4_high.txt",
            row.names = FALSE,col.names = TRUE)

#Venom T0 versus ctrl T0
DEGs_Venom_T0_vs_Control_T0<-table_VenomT0vsControlT0[which(table_VenomT0vsControlT0$adj.P.Val<=0.05),]
row_indices<-which(rownames(data) %in% rownames(DEGs_Venom_T0_vs_Control_T0))
col_indices<-which(phenotype=="V" & time=="0")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_Venom_T0_vs_Control_T0_high <- as.character(DEGs_Venom_T0_vs_Control_T0[which(rownames(DEGs_Venom_T0_vs_Control_T0) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_Venom_T0_vs_Control_T0[which(rownames(DEGs_Venom_T0_vs_Control_T0) %in% DEGs_high_expr),]))
DEGs_Venom_T0_vs_Control_T0_high<-data.frame(entrez=entrez,
                                             gene_symbol=DEGs_Venom_T0_vs_Control_T0_high)
write.table(DEGs_Venom_T0_vs_Control_T0_high,
            file="DEGs_Venom_T0_vs_Control_T0_high.txt",
            row.names = FALSE,col.names = TRUE)

#Venom T1 versus ctrl T1
DEGs_Venom_T1_vs_Control_T1<-table_VenomT1vsControlT1[which(table_VenomT1vsControlT1$adj.P.Val<=0.05),]
row_indices<-which(rownames(data) %in% rownames(DEGs_Venom_T1_vs_Control_T1))
col_indices<-which(phenotype=="V" & time=="0.3")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_Venom_T1_vs_Control_T1_high <- as.character(DEGs_Venom_T1_vs_Control_T1[which(rownames(DEGs_Venom_T1_vs_Control_T1) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_Venom_T1_vs_Control_T1[which(rownames(DEGs_Venom_T1_vs_Control_T1) %in% DEGs_high_expr),]))
DEGs_Venom_T1_vs_Control_T1_high<-data.frame(entrez=entrez,
                                             gene_symbol=DEGs_Venom_T1_vs_Control_T1_high)
write.table(DEGs_Venom_T1_vs_Control_T1_high,
            file="DEGs_Venom_T1_vs_Control_T1_high.txt",
            row.names = FALSE,col.names = TRUE)

#Venom T2 versus ctrl T2
DEGs_Venom_T2_vs_Control_T2<-table_VenomT2vsControlT2[which(table_VenomT2vsControlT2$adj.P.Val<=0.05),]
row_indices<-which(rownames(data) %in% rownames(DEGs_Venom_T2_vs_Control_T2))
col_indices<-which(phenotype=="V" & time=="1")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_Venom_T2_vs_Control_T2_high <- as.character(DEGs_Venom_T2_vs_Control_T2[which(rownames(DEGs_Venom_T2_vs_Control_T2) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_Venom_T2_vs_Control_T2[which(rownames(DEGs_Venom_T2_vs_Control_T2) %in% DEGs_high_expr),]))
DEGs_Venom_T2_vs_Control_T2_high<-data.frame(entrez=entrez,
                                             gene_symbol=DEGs_Venom_T2_vs_Control_T2_high)
write.table(DEGs_Venom_T2_vs_Control_T2_high,
            file="DEGs_Venom_T2_vs_Control_T2_high.txt",
            row.names = FALSE,col.names = TRUE)

#Venom T3 versus ctrl T3
DEGs_Venom_T3_vs_Control_T3<-table_VenomT3vsControlT3[which(table_VenomT3vsControlT3$adj.P.Val<=0.05),]
row_indices<-which(rownames(data) %in% rownames(DEGs_Venom_T3_vs_Control_T3))
col_indices<-which(phenotype=="V" & time=="7")
data_sel<-data[row_indices,col_indices]
av_expr<-rowMeans(data_sel)
DEGs_high_expr<-names(av_expr[which(av_expr>log2(10))])
DEGs_Venom_T3_vs_Control_T3_high <- as.character(DEGs_Venom_T3_vs_Control_T3[which(rownames(DEGs_Venom_T3_vs_Control_T3) %in% DEGs_high_expr),]$gene_symbol)
entrez<-as.character(rownames(DEGs_Venom_T3_vs_Control_T3[which(rownames(DEGs_Venom_T3_vs_Control_T3) %in% DEGs_high_expr),]))
DEGs_Venom_T3_vs_Control_T3_high<-data.frame(entrez=entrez,
                                             gene_symbol=DEGs_Venom_T3_vs_Control_T3_high)
write.table(DEGs_Venom_T3_vs_Control_T3_high,
            file="DEGs_Venom_T3_vs_Control_T3_high.txt",
            row.names = FALSE,col.names = TRUE)
