setwd("~/Feng_He_project/SysTACT_allergy_study/paper_mouse_DEG_to_compare")

background <- read.table("~/Feng_He_project/SysTACT_allergy_study/paper_mouse_DEG_to_compare/background.txt", quote="\"", comment.char="")
background <- as.character(background$V1)
size <- length(background)

##########
#Table S1#
##########
DEG_TableS1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/paper_mouse_DEG_to_compare/DEG_TableS1.txt", quote="\"", comment.char="")
DEG_TableS1 <- as.character(DEG_TableS1$V1)

#pollen 14d vs control 14d
library(readxl)
DEG_Pollen14dvsControl14d <- read_excel("X:/SysTACT_RNAseq_Diana/Results/limma/DEG_all/DEG_Pollen14dvsControl14d.xlsx")
DEG_Pollen14dvsControl14d <- as.character(DEG_Pollen14dvsControl14d$gene_symbol)

library(GeneOverlap)
go.obj1<-newGeneOverlap(DEG_TableS1,DEG_Pollen14dvsControl14d,genome.size = size)
go.obj1<-testGeneOverlap(go.obj1)
pval1<-go.obj1@pval

#pollen 84d vs control 84 d
DEG_Pollen84dvsControl84d <- read_excel("X:/SysTACT_RNAseq_Diana/Results/limma/DEG_all/DEG_Pollen84dvsControl84d.xlsx")
DEG_Pollen84dvsControl84d <-as.character(DEG_Pollen84dvsControl84d$gene_symbol)

go.obj2<-newGeneOverlap(DEG_TableS1,DEG_Pollen84dvsControl84d,genome.size = size)
go.obj2<-testGeneOverlap(go.obj2)
pval2<-go.obj2@pval

#pollen 84d vs pollen 0d
DEG_Pollen84dvsPollen0d <- read_excel("X:/SysTACT_RNAseq_Diana/Results/limma/DEG_all/DEG_Pollen84dvsPollen0d.xlsx")
DEG_Pollen84dvsPollen0d <- as.character(DEG_Pollen84dvsPollen0d$gene_symbol)

go.obj3<-newGeneOverlap(DEG_TableS1,DEG_Pollen84dvsPollen0d,genome.size = size)
go.obj3<-testGeneOverlap(go.obj3)
pval3<-go.obj3@pval

#venom 8h vs control 8h
DEG_Venom8hvsControl8h <- read_excel("X:/SysTACT_RNAseq_Diana/Results/limma/DEG_all/DEG_Venom8hvsControl8h.xlsx")
DEG_Venom8hvsControl8h <- as.character(DEG_Venom8hvsControl8h$gene_symbol)

go.obj4<-newGeneOverlap(DEG_TableS1,DEG_Venom8hvsControl8h,genome.size = size)
go.obj4<-testGeneOverlap(go.obj4)
pval4<-go.obj4@pval

#venom 8h vs venom 0d
DEG_Venom8hvsVenom0h <- read_excel("X:/SysTACT_RNAseq_Diana/Results/limma/DEG_all/DEG_Venom8hvsVenom0h.xlsx")
DEG_Venom8hvsVenom0h <- as.character(DEG_Venom8hvsVenom0h$gene_symbol)

go.obj5<-newGeneOverlap(DEG_TableS1,DEG_Venom8hvsVenom0h,genome.size = size)
go.obj5<-testGeneOverlap(go.obj5)
pval5<-go.obj5@pval

#venom 1d vs control 1d
DEG_Venom1dvsControl1d <- read_excel("X:/SysTACT_RNAseq_Diana/Results/limma/DEG_all/DEG_Venom1dvsControl1d.xlsx")
DEG_Venom1dvsControl1d <- as.character(DEG_Venom1dvsControl1d$gene_symbol)

go.obj6<-newGeneOverlap(DEG_TableS1,DEG_Venom1dvsControl1d,genome.size = size)
go.obj6<-testGeneOverlap(go.obj6)
pval6<-go.obj6@pval

#venom 1d vs venom 0d
DEG_Venom1dvsVenom0d <- read_excel("X:/SysTACT_RNAseq_Diana/Results/limma/DEG_all/DEG_Venom1dvsVenom0d.xlsx")
DEG_Venom1dvsVenom0d <- as.character(DEG_Venom1dvsVenom0d$gene_symbol)

go.obj7<-newGeneOverlap(DEG_TableS1,DEG_Venom1dvsVenom0d,genome.size = size)
go.obj7<-testGeneOverlap(go.obj7)
pval7<-go.obj7@pval

#venom 7d vs control 7d
DEG_Venom7dvsControl7d <- read_excel("X:/SysTACT_RNAseq_Diana/Results/limma/DEG_all/DEG_Venom7dvsControl7d.xlsx")
DEG_Venom7dvsControl7d <- as.character(DEG_Venom7dvsControl7d$gene_symbol)

go.obj8<-newGeneOverlap(DEG_TableS1,DEG_Venom7dvsControl7d,genome.size = size)
go.obj8<-testGeneOverlap(go.obj8)
pval8<-go.obj8@pval

##########
#Table S2#
##########
DEG_TableS2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/paper_mouse_DEG_to_compare/DEG_TableS2.txt", quote="\"", comment.char="")
DEG_TableS2 <- as.character(DEG_TableS2$V1)

#pollen 14d vs control 14d
go.obj9<-newGeneOverlap(DEG_TableS2,DEG_Pollen14dvsControl14d,genome.size = size)
go.obj9<-testGeneOverlap(go.obj9)
pval9<-go.obj9@pval

#pollen 84d vs control 84 d
go.obj10<-newGeneOverlap(DEG_TableS2,DEG_Pollen84dvsControl84d,genome.size = size)
go.obj10<-testGeneOverlap(go.obj10)
pval10<-go.obj10@pval

#pollen 84d vs pollen 0d
go.obj11<-newGeneOverlap(DEG_TableS2,DEG_Pollen84dvsPollen0d,genome.size = size)
go.obj11<-testGeneOverlap(go.obj11)
pval11<-go.obj11@pval

#venom 8h vs control 8h
go.obj12<-newGeneOverlap(DEG_TableS2,DEG_Venom8hvsControl8h,genome.size = size)
go.obj12<-testGeneOverlap(go.obj12)
pval12<-go.obj12@pval

#venom 1d vs control 1d
go.obj13<-newGeneOverlap(DEG_TableS2,DEG_Venom1dvsControl1d,genome.size = size)
go.obj13<-testGeneOverlap(go.obj13)
pval13<-go.obj13@pval

#venom 1d vs venom 0d
go.obj14<-newGeneOverlap(DEG_TableS2,DEG_Venom1dvsVenom0d,genome.size = size)
go.obj14<-testGeneOverlap(go.obj14)
pval14<-go.obj14@pval

#venom 7d vs control 7d
go.obj15<-newGeneOverlap(DEG_TableS2,DEG_Venom7dvsControl7d,genome.size = size)
go.obj15<-testGeneOverlap(go.obj15)
pval15<-go.obj15@pval

##########
#Table S3#
##########
DEG_TableS3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/paper_mouse_DEG_to_compare/DEG_TableS3.txt", quote="\"", comment.char="")
DEG_TableS3 <- as.character(DEG_TableS3$V1)

# pollen 14d vs control 14d
go.obj16<-newGeneOverlap(DEG_TableS3,DEG_Pollen14dvsControl14d,genome.size = size)
go.obj16<-testGeneOverlap(go.obj16)
pval16<-go.obj16@pval

# pollen 84d vs control 84 d
go.obj17<-newGeneOverlap(DEG_TableS3,DEG_Pollen84dvsControl84d,genome.size = size)
go.obj17<-testGeneOverlap(go.obj17)
pval17<-go.obj17@pval

#pollen 84d vs pollen 0d
go.obj18<-newGeneOverlap(DEG_TableS3,DEG_Pollen84dvsPollen0d,genome.size = size)
go.obj18<-testGeneOverlap(go.obj18)
pval18<-go.obj18@pval

#venom 8h vs control 8h
go.obj19<-newGeneOverlap(DEG_TableS3,DEG_Venom8hvsControl8h,genome.size = size)
go.obj19<-testGeneOverlap(go.obj19)
pval19<-go.obj19@pval

#venom 8h vs venom 0d
go.obj20<-newGeneOverlap(DEG_TableS3,DEG_Venom8hvsVenom0h,genome.size = size)
go.obj20<-testGeneOverlap(go.obj20)
pval20<-go.obj20@pval

#venom 1d vs control 1d
go.obj21<-newGeneOverlap(DEG_TableS3,DEG_Venom1dvsControl1d,genome.size = size)
go.obj21<-testGeneOverlap(go.obj21)
pval21<-go.obj21@pval

#venom 1d vs venom 0d
go.obj22<-newGeneOverlap(DEG_TableS3,DEG_Venom1dvsVenom0d,genome.size = size)
go.obj22<-testGeneOverlap(go.obj22)
pval22<-go.obj22@pval

#venom 7d vs control 7d
go.obj23<-newGeneOverlap(DEG_TableS3,DEG_Venom7dvsControl7d,genome.size = size)
go.obj23<-testGeneOverlap(go.obj23)
pval23<-go.obj23@pval

##########
#Table S4#
##########
DEG_TableS4 <- read.table("~/Feng_He_project/SysTACT_allergy_study/paper_mouse_DEG_to_compare/DEG_TableS4.txt", quote="\"", comment.char="")
DEG_TableS4 <- as.character(DEG_TableS4$V1)

#pollen 14d vs control 14d
go.obj24<-newGeneOverlap(DEG_TableS4,DEG_Pollen14dvsControl14d,genome.size = size)
go.obj24<-testGeneOverlap(go.obj24)
pval24<-go.obj24@pval

# pollen 84d vs control 84 d
go.obj25<-newGeneOverlap(DEG_TableS4,DEG_Pollen84dvsControl84d,genome.size = size)
go.obj25<-testGeneOverlap(go.obj25)
pval25<-go.obj25@pval

#pollen 84d vs pollen 0d
go.obj26<-newGeneOverlap(DEG_TableS4,DEG_Pollen84dvsPollen0d,genome.size = size)
go.obj26<-testGeneOverlap(go.obj26)
pval26<-go.obj26@pval

#venom 8h vs control 8h
go.obj27<-newGeneOverlap(DEG_TableS4,DEG_Venom8hvsControl8h,genome.size = size)
go.obj27<-testGeneOverlap(go.obj27)
pval27<-go.obj27@pval

#venom 8h vs venom 0d
go.obj28<-newGeneOverlap(DEG_TableS4,DEG_Venom8hvsVenom0h,genome.size = size)
go.obj28<-testGeneOverlap(go.obj28)
pval28<-go.obj28@pval

#venom 1d vs control 1d
go.obj29<-newGeneOverlap(DEG_TableS4,DEG_Venom1dvsControl1d,genome.size = size)
go.obj29<-testGeneOverlap(go.obj29)
pval29<-go.obj29@pval

#venom 1d vs venom 0d
go.obj30<-newGeneOverlap(DEG_TableS4,DEG_Venom1dvsVenom0d,genome.size = size)
go.obj30<-testGeneOverlap(go.obj30)
pval30<-go.obj30@pval

#venom 7d vs control 7d
go.obj31<-newGeneOverlap(DEG_TableS4,DEG_Venom7dvsControl7d,genome.size = size)
go.obj31<-testGeneOverlap(go.obj31)
pval31<-go.obj31@pval

######################
#Table S4 - cl8 naive#
######################
DEG_TableS4_cl8_naive <- read.table("~/Feng_He_project/SysTACT_allergy_study/paper_mouse_DEG_to_compare/DEG_TableS4_cl8_naive.txt", quote="\"", comment.char="")
DEG_TableS4_cl8_naive <- as.character(DEG_TableS4_cl8_naive$V1)

#pollen 14d vs control 14d
go.obj32<-newGeneOverlap(DEG_TableS4_cl8_naive,DEG_Pollen14dvsControl14d,genome.size = size)
go.obj32<-testGeneOverlap(go.obj32)
pval32<-go.obj32@pval

# pollen 84d vs control 84 d
go.obj33<-newGeneOverlap(DEG_TableS4_cl8_naive,DEG_Pollen84dvsControl84d,genome.size = size)
go.obj33<-testGeneOverlap(go.obj33)
pval33<-go.obj33@pval

#pollen 84d vs pollen 0d
go.obj34<-newGeneOverlap(DEG_TableS4_cl8_naive,DEG_Pollen84dvsPollen0d,genome.size = size)
go.obj34<-testGeneOverlap(go.obj34)
pval34<-go.obj34@pval

#venom 8h vs control 8h
go.obj35<-newGeneOverlap(DEG_TableS4_cl8_naive,DEG_Venom8hvsControl8h,genome.size = size)
go.obj35<-testGeneOverlap(go.obj35)
pval35<-go.obj35@pval

#venom 8h vs venom 0d
go.obj36<-newGeneOverlap(DEG_TableS4_cl8_naive,DEG_Venom8hvsVenom0h,genome.size = size)
go.obj36<-testGeneOverlap(go.obj36)
pval36<-go.obj36@pval

#venom 1d vs control 1d
go.obj37<-newGeneOverlap(DEG_TableS4_cl8_naive,DEG_Venom1dvsControl1d,genome.size = size)
go.obj37<-testGeneOverlap(go.obj37)
pval37<-go.obj37@pval

#venom 1d vs venom 0d
go.obj38<-newGeneOverlap(DEG_TableS4_cl8_naive,DEG_Venom1dvsVenom0d,genome.size = size)
go.obj38<-testGeneOverlap(go.obj38)
pval38<-go.obj38@pval

########################
#Table S4 - cl6 d10 Th2#
########################
DEG_TableS4_cl6_d10_Th2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/paper_mouse_DEG_to_compare/DEG_TableS4_cl6_d10_Th2.txt", quote="\"", comment.char="")
DEG_TableS4_cl6_d10_Th2 <- as.character(DEG_TableS4_cl6_d10_Th2$V1)

# pollen 84d vs control 84 d
go.obj39<-newGeneOverlap(DEG_TableS4_cl6_d10_Th2,DEG_Pollen84dvsControl84d,genome.size = size)
go.obj39<-testGeneOverlap(go.obj39)
pval39<-go.obj39@pval

#pollen 84d vs pollen 0d
go.obj40<-newGeneOverlap(DEG_TableS4_cl6_d10_Th2,DEG_Pollen84dvsPollen0d,genome.size = size)
go.obj40<-testGeneOverlap(go.obj40)
pval40<-go.obj40@pval

########################
#Table S4 - cl3 d15 Th2#
########################
DEG_TableS4_cl3_d15_Th2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/paper_mouse_DEG_to_compare/DEG_TableS4_cl3_d15_Th2.txt", quote="\"", comment.char="")
DEG_TableS4_cl3_d15_Th2 <- as.character(DEG_TableS4_cl3_d15_Th2$V1)

#pollen 14d vs control 14d
go.obj41<-newGeneOverlap(DEG_TableS4_cl3_d15_Th2,DEG_Pollen14dvsControl14d,genome.size = size)
go.obj41<-testGeneOverlap(go.obj41)
pval41<-go.obj41@pval

# pollen 84d vs control 84 d
go.obj42<-newGeneOverlap(DEG_TableS4_cl3_d15_Th2,DEG_Pollen84dvsControl84d,genome.size = size)
go.obj42<-testGeneOverlap(go.obj42)
pval42<-go.obj42@pval

#pollen 84d vs pollen 0d
go.obj43<-newGeneOverlap(DEG_TableS4_cl3_d15_Th2,DEG_Pollen84dvsPollen0d,genome.size = size)
go.obj43<-testGeneOverlap(go.obj43)
pval43<-go.obj43@pval

#venom 8h vs control 8h
go.obj44<-newGeneOverlap(DEG_TableS4_cl3_d15_Th2,DEG_Venom8hvsControl8h,genome.size = size)
go.obj44<-testGeneOverlap(go.obj44)
pval44<-go.obj44@pval

#venom 8h vs venom 0d
go.obj45<-newGeneOverlap(DEG_TableS4_cl3_d15_Th2,DEG_Venom8hvsVenom0h,genome.size = size)
go.obj45<-testGeneOverlap(go.obj45)
pval45<-go.obj45@pval

#venom 1d vs control 1d
go.obj46<-newGeneOverlap(DEG_TableS4_cl3_d15_Th2,DEG_Venom1dvsControl1d,genome.size = size)
go.obj46<-testGeneOverlap(go.obj46)
pval46<-go.obj46@pval

#venom 7d vs control 7d
go.obj47<-newGeneOverlap(DEG_TableS4_cl3_d15_Th2,DEG_Venom7dvsControl7d,genome.size = size)
go.obj47<-testGeneOverlap(go.obj47)
pval47<-go.obj47@pval