setwd("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/linear_svm_v2")

load("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/workspace_limma.RData")
load("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/linear_svm_v2/workspace_lin_svm.RData")

#pollen vs control T0
auc_cp_id<-rownames(data)
auc_cp_names<-gene_names
auc_cp_data<-data.frame(auc_cp_id=auc_cp_id,auc_cp_names=auc_cp_names,auc=auc_cp)
auc_cp_data<-auc_cp_data[order(auc_cp_data$auc,decreasing=TRUE),]

top10_cp<-auc_cp_data[1:10,]
row_indices<-vector(mode="integer",length=10)
for (i in 1:10){
  row_indices[i]<-which(rownames(data)==top10_cp$auc_cp_id[i])
}
col_indices1<-which(phenotype=="C" & time=="0")
col_indices2<-which(phenotype=="P" & time=="0")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = 10)

pdf("boxplots_top10_svm_ctrl_0d_vs_pollen_0d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(top10_cp$auc_cp_id[i],"-",top10_cp$auc_cp_names[i]),
          names = c("control 0d","pollen 0d"),
          ylab = "log2 expr")
}
dev.off()

#venom vs control T0
auc_cv_id<-rownames(data)
auc_cv_names<-gene_names
auc_cv_data<-data.frame(auc_cv_id=auc_cv_id,auc_cv_names=auc_cv_names,auc=auc_cv)
auc_cv_data<-auc_cv_data[order(auc_cv_data$auc,decreasing=TRUE),]

top10_cv<-auc_cv_data[1:10,]
row_indices<-vector(mode="integer",length=10)
for (i in 1:10){
  row_indices[i]<-which(rownames(data)==top10_cv$auc_cv_id[i])
}
col_indices1<-which(phenotype=="C" & time=="0")
col_indices2<-which(phenotype=="V" & time=="0")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = 10)

pdf("boxplots_top10_svm_ctrl_0d_vs_venom_0d.pdf")

for (i in seq_along(boxplots)){
  boxplot(data_sel1[i,], data_sel2[i,],
          main = paste0(top10_cv$auc_cv_id[i],"-",top10_cv$auc_cv_names[i]),
          names = c("control 0d","venom 0d"),
          ylab = "log2 expr")
}
dev.off()