setwd("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/linear_svm_v2")

load("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/workspace_limma.RData")

###########################################################################
#outcome: 0 = control; 1 = pollen allergy (take all C and P samples at T0)#
###########################################################################
index1<-which(phenotype =="C" & time == 0)
index2<-which(phenotype =="P" & time == 0)
index<-c(index1,index2)
cp_data<-data[,index]
cp_numout<-as.factor(phenotype)[index]

library(e1071)

set.seed(1234)

X<-t(cp_data)
y<-cp_numout
n<-nrow(X)
p<-ncol(X)

y_hat <- matrix(data=NA,nrow=n,ncol=p)

for (i in 1:n){
  for (j in 1:p){
    # training
    y0 <- y[-i]
    X0 <- X[-i,j,drop=FALSE]
    svmmod_cp<-svm(X0,factor(y0),kernal="linear",probability=TRUE)
    # testing
    y1 <- y[i]
    X1 <- X[i,j,drop=FALSE]
    pred<-predict(svmmod_cp,X1,probability=TRUE)
    y_hat[i,j]<-attr(pred,"prob")[,2]
  }
}

#calculate AUC for all features
library(pROC)
auc <- apply(X=y_hat,MARGIN=2,FUN=function(x) 
  pROC::roc(response=y,predictor=x,direction="<",levels=c("C","P"))$auc)
y_hat_cp=y_hat
auc_cp=auc
names(auc_cp)<-gene_names
for (i in 1:p){
  if (names(auc_cp)[i]=="NA"){names(auc_cp)[i]=colnames(X)[i]}
}
ordered_auc_cp<-sort(auc_cp,decreasing = TRUE)
write.table(ordered_auc_cp,file="ordered_auc_cp.txt",row.names=TRUE,col.names = FALSE)

###########################################################################
#outcome: 0 = control; 1 = venom allergy (take all C and V samples at T0)#
###########################################################################
index1<-which(phenotype =="C" & time == 0)
index2<-which(phenotype =="V" & time == 0)
index<-c(index1,index2)
cv_data<-data[,index]
cv_numout<-as.factor(phenotype)[index]

library(e1071)

set.seed(1234)

X<-t(cv_data)
y<-cv_numout
n<-nrow(X)
p<-ncol(X)

y_hat <- matrix(data=NA,nrow=n,ncol=p)

for (i in 1:n){
  for (j in 1:p){
    # training
    y0 <- y[-i]
    X0 <- X[-i,j,drop=FALSE]
    svmmod_cv<-svm(X0,factor(y0),kernal="linear",probability=TRUE)
    # testing
    y1 <- y[i]
    X1 <- X[i,j,drop=FALSE]
    pred<-predict(svmmod_cv,X1,probability=TRUE)
    y_hat[i,j]<-attr(pred,"prob")[,2]
  }
}

#calculate AUC for all features
library(pROC)
auc <- apply(X=y_hat,MARGIN=2,FUN=function(x) 
  pROC::roc(response=y,predictor=x,direction="<",levels=c("C","V"))$auc)
y_hat_cv=y_hat
auc_cv=auc
names(auc_cv)<-gene_names
for (i in 1:p){
  if (names(auc_cv)[i]=="NA"){names(auc_cv)[i]=colnames(X)[i]}
}
ordered_auc_cv<-sort(auc_cv,decreasing = TRUE)
write.table(ordered_auc_cv,file="ordered_auc_cv.txt",row.names=TRUE,col.names = FALSE)
