setwd("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2")

#load data pollen patients
pollen_matrix <- read.delim("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_matrix.txt")

#load data controls
controlP_matrix <- read.delim("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/controlP_matrix.txt")

# cluster0 (red), first profile
genes_pollen_profile271_red_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile271_red_1", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile271_red_1$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile271_red_1$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                         abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"red 1"

table_FC_pollen<-data.frame(profile=profile,
                            highest_mean_logFC_pollen=highest_mean_logFC_pollen,
                            highest_mean_logFC_control=highest_mean_logFC_control)

# cluster0 (red), second profile
genes_pollen_profile163_red_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile163_red_2", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile163_red_2$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile163_red_2$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"red 2"

df<-data.frame(profile=profile,
           highest_mean_logFC_pollen=highest_mean_logFC_pollen,
           highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster0 (red), third profile
genes_pollen_profile183_red_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile183_red_3", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile183_red_3$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile183_red_3$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"red 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster0 (red), 4th profile
genes_pollen_profile158_red_4 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile158_red_4", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile158_red_4$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile158_red_4$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"red 4"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster1 (lightgreen), first profile
genes_pollen_profile482_lightgreen_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile482_lightgreen_1", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile482_lightgreen_1$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile482_lightgreen_1$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"lightgreen 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster1 (lightgreen), 2nd profile
genes_pollen_profile366_lightgreen_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile366_lightgreen_2", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile366_lightgreen_2$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile366_lightgreen_2$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"lightgreen 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster1 (lightgreen), 3rd profile
genes_pollen_profile391_lightgreen_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile391_lightgreen_3", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile391_lightgreen_3$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile391_lightgreen_3$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"lightgreen 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster1 (lightgreen), 4th profile
genes_pollen_profile367_lightgreen_4 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile367_lightgreen_4", quote="\"", comment.char="")


pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile367_lightgreen_4$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile367_lightgreen_4$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"lightgreen 4"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster2 (violet), first profile
genes_pollen_profile274_violet_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile274_violet_1", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile274_violet_1$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile274_violet_1$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"violet 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster2 (violet), 2nd profile
genes_pollen_profile193_violet_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile193_violet_2", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile193_violet_2$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile193_violet_2$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"violet 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster2 (violet), 3rd profile
genes_pollen_profile278_violet_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile278_violet_3", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile278_violet_3$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile278_violet_3$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"violet 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster3 (yellow), first profile
genes_pollen_profile295_yellow_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile295_yellow_1", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile295_yellow_1$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile295_yellow_1$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"yellow 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster3 (yellow), 2nd profile
genes_pollen_profile290_yellow_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile290_yellow_2", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile290_yellow_2$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile290_yellow_2$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"yellow 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster3 (yellow), 3rd profile
genes_pollen_profile208_yellow_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile208_yellow_3", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile208_yellow_3$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile208_yellow_3$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"yellow 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster3 (yellow), 4th profile
genes_pollen_profile291_yellow_4 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile291_yellow_4", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile291_yellow_4$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile291_yellow_4$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"yellow 4"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster4 (orange), first profile
genes_pollen_profile381_orange_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile381_orange_1", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile381_orange_1$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile381_orange_1$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"orange 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster4 (orange), 2nd profile
genes_pollen_profile386_orange_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile386_orange_2", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile386_orange_2$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile386_orange_2$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"orange 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster4 (orange), 3rd profile
genes_pollen_profile382_orange_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile382_orange_3", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile382_orange_3$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile382_orange_3$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"orange 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster4 (orange), 4th profile
genes_pollen_profile406_orange_4 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile406_orange_4", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile406_orange_4$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile406_orange_4$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"orange 4"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster5 (magenta), first profile
genes_pollen_profile273_magenta_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile273_magenta_1", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile273_magenta_1$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile273_magenta_1$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"magenta 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster5 (magenta), 2nd profile
genes_pollen_profile188_magenta_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile188_magenta_2", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile188_magenta_2$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile188_magenta_2$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"magenta 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster6 (brown), first profile
genes_pollen_profile254_brown_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile254_brown_1", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile254_brown_1$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile254_brown_1$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"brown 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster6 (brown), 2nd profile
genes_pollen_profile259_brown_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile259_brown_2", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile259_brown_2$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile259_brown_2$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"brown 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster6 (brown), 3rd profile
genes_pollen_profile255_brown_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile255_brown_3", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile255_brown_3$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile255_brown_3$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"brown 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster7 (bluegrey), first profile
genes_pollen_profile361_bluegrey_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile361_bluegrey_1", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile361_bluegrey_1$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile361_bluegrey_1$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"bluegrey 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster7 (bluegrey), 2nd profile
genes_pollen_profile477_bluegrey_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile477_bluegrey_2", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile477_bluegrey_2$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile477_bluegrey_2$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"bluegrey 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster8 (darkgreen), first profile
genes_pollen_profile387_darkgreen_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile387_darkgreen_1", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile387_darkgreen_1$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile387_darkgreen_1$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"darkgreen 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster8 (darkgreen), 2nd profile
genes_pollen_profile392_darkgreen_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile392_darkgreen_2", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile392_darkgreen_2$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile392_darkgreen_2$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"darkgreen 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster8 (darkgreen), 3rd profile
genes_pollen_profile497_darkgreen_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile497_darkgreen_3", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile497_darkgreen_3$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile497_darkgreen_3$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"darkgreen 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster9 (purple), first profile
genes_pollen_profile194_purple_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile194_purple_1", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile194_purple_1$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile194_purple_1$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"purple 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster9 (purple), second profile
genes_pollen_profile77_purple_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile77_purple_2", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile77_purple_2$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile77_purple_2$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"purple 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster10 (grey), first profile
genes_pollen_profile178_grey_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile178_grey_1", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile178_grey_1$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile178_grey_1$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"grey 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

# cluster10 (grey), 2nd profile
genes_pollen_profile285_grey_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile285_grey_2", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile285_grey_2$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile285_grey_2$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"grey 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

#pink profile
genes_pollen_profile308_pink <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile308_pink", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile308_pink$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile308_pink$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"pink"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

#lightblue profile
genes_pollen_profile159_lightblue <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/pollen_control_v2/gene_lists/pollen/genes_pollen_profile159_lightblue", quote="\"", comment.char="")

pollen_data<-pollen_matrix[which(pollen_matrix$Gene.Symbol %in% genes_pollen_profile159_lightblue$V1),]
control_data<-controlP_matrix[which(controlP_matrix$Gene.Symbol %in% genes_pollen_profile159_lightblue$V1),]

mean_logFC_T1_pollen<-mean(pollen_data$X1d-pollen_data$X0d)
mean_logFC_T1_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T2_pollen<-mean(pollen_data$X14d-pollen_data$X0d)
mean_logFC_T2_control<-mean(control_data$X14d-control_data$X0d)
mean_logFC_T3_pollen<-mean(pollen_data$X42d-pollen_data$X0d)
mean_logFC_T3_control<-mean(control_data$X42d-control_data$X0d)
mean_logFC_T4_pollen<-mean(pollen_data$X84d-pollen_data$X0d)
mean_logFC_T4_control<-mean(control_data$X84d-control_data$X0d)
abs_mean_logFC_pollen<-c(abs(mean_logFC_T1_pollen),abs(mean_logFC_T2_pollen),
                         abs(mean_logFC_T3_pollen),abs(mean_logFC_T4_pollen))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control),abs(mean_logFC_T4_control))
index_highest_abs_pollen<-which(abs_mean_logFC_pollen==max(abs_mean_logFC_pollen))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_pollen==1) 
{highest_mean_logFC_pollen<-mean_logFC_T1_pollen}
if (index_highest_abs_pollen==2) 
{highest_mean_logFC_pollen<-mean_logFC_T2_pollen}
if (index_highest_abs_pollen==3) 
{highest_mean_logFC_pollen<-mean_logFC_T3_pollen}
if (index_highest_abs_pollen==4) 
{highest_mean_logFC_pollen<-mean_logFC_T4_pollen}

if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}
if (index_highest_abs_control==4) 
{highest_mean_logFC_control<-mean_logFC_T4_control}

profile<-"lightblue"

df<-data.frame(profile=profile,
               highest_mean_logFC_pollen=highest_mean_logFC_pollen,
               highest_mean_logFC_control=highest_mean_logFC_control)

table_FC_pollen<-rbind(table_FC_pollen,df)

write.table(table_FC_pollen,file="table_FC_pollen.txt",row.names = FALSE,col.names = TRUE,sep=",")