setwd("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2")

#load data venom patients
venom_matrix <- read.delim("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_matrix.txt")

#load data controls
controlV_matrix <- read.delim("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/controlV_matrix.txt")

# cluster0 (red), first profile
genes_venom_profile47_red_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile47_red_1", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile47_red_1$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile47_red_1$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                         abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"red 1"

table_FC_venom<-data.frame(profile=profile,
                            highest_mean_logFC_venom=highest_mean_logFC_venom,
                            highest_mean_logFC_control=highest_mean_logFC_control)

# cluster0 (red), second profile
genes_venom_profile25_red_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile25_red_2", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile25_red_2$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile25_red_2$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"red 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster0 (red), 3rd profile
genes_venom_profile46_red_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile46_red_3", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile46_red_3$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile46_red_3$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"red 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster1 (lightgreen), first profile
genes_venom_profile30_lightgreen_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile30_lightgreen_1", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile30_lightgreen_1$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile30_lightgreen_1$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"lightgreen 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster1 (lightgreen), 2nd profile
genes_venom_profile29_lightgreen_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile29_lightgreen_2", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile29_lightgreen_2$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile29_lightgreen_2$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"lightgreen 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster1 (lightgreen), 3rd profile
genes_venom_profile13_lightgreen_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile13_lightgreen_3", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile13_lightgreen_3$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile13_lightgreen_3$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"lightgreen 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster1 (lightgreen), 4th profile
genes_venom_profile12_lightgreen_4 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile12_lightgreen_4", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile12_lightgreen_4$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile12_lightgreen_4$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"lightgreen 4"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster2 (violet), first profile
genes_venom_profile49_violet_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile49_violet_1", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile49_violet_1$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile49_violet_1$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"violet 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster2 (violet), 2nd profile
genes_venom_profile54_violet_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile54_violet_2", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile54_violet_2$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile54_violet_2$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"violet 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster2 (violet), 3rd profile
genes_venom_profile53_violet_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile53_violet_3", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile53_violet_3$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile53_violet_3$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"violet 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster2 (violet), 4th profile
genes_venom_profile71_violet_4 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile71_violet_4", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile71_violet_4$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile71_violet_4$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"violet 4"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster2 (violet), 5th profile
genes_venom_profile81_violet_5 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile81_violet_5", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile81_violet_5$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile81_violet_5$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"violet 5"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster2 (violet), 6th profile
genes_venom_profile70_violet_6 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile70_violet_6", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile70_violet_6$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile70_violet_6$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"violet 6"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster2 (violet), 7th profile
genes_venom_profile76_violet_7 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile76_violet_7", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile76_violet_7$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile76_violet_7$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"violet 7"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster2 (violet), 8th profile
genes_venom_profile95_violet_8 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile95_violet_8", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile95_violet_8$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile95_violet_8$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"violet 8"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster3 (yellow), 1st profile
genes_venom_profile61_yellow_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile61_yellow_1", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile61_yellow_1$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile61_yellow_1$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"yellow 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster3 (yellow), 2nd profile
genes_venom_profile66_yellow_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile66_yellow_2", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile66_yellow_2$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile66_yellow_2$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"yellow 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster3 (yellow), 3rd profile
genes_venom_profile65_yellow_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile65_yellow_3", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile65_yellow_3$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile65_yellow_3$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"yellow 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster4 (orange), 1st profile
genes_venom_profile35_orange_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile35_orange_1", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile35_orange_1$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile35_orange_1$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"orange 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster4 (orange), 2nd profile
genes_venom_profile15_orange_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile15_orange_2", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile15_orange_2$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile15_orange_2$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"orange 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster4 (orange), 3rd profile
genes_venom_profile34_orange_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile34_orange_3", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile34_orange_3$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile34_orange_3$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"orange 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster4 (orange), 4th profile
genes_venom_profile39_orange_4 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile39_orange_4", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile39_orange_4$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile39_orange_4$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"orange 4"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster5 (magenta), first profile
genes_venom_profile60_magenta_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile60_magenta_1", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile60_magenta_1$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile60_magenta_1$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"magenta 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster5 (magenta), 2nd profile
genes_venom_profile83_magenta_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile83_magenta_2", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile83_magenta_2$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile83_magenta_2$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"magenta 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster6 (brown), first profile
genes_venom_profile38_brown_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile38_brown_1", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile38_brown_1$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile38_brown_1$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"brown 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster6 (brown), second profile
genes_venom_profile56_brown_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile56_brown_2", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile56_brown_2$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile56_brown_2$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"brown 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster6 (brown), 3rd profile
genes_venom_profile52_brown_3 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile52_brown_3", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile52_brown_3$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile52_brown_3$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"brown 3"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster7 (bluegrey), profile 1
genes_venom_profile8_bluegrey_1 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile8_bluegrey_1", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile8_bluegrey_1$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile8_bluegrey_1$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"bluegrey 1"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# cluster7 (bluegrey), profile 2
genes_venom_profile6_bluegrey_2 <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile6_bluegrey_2", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile6_bluegrey_2$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile6_bluegrey_2$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"bluegrey 2"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# darkgreen profile
genes_venom_profile69_darkgreen <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile69_darkgreen", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile69_darkgreen$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile69_darkgreen$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"darkgreen"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

# darkpurple profile
genes_venom_profile88_darkpurple <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile88_darkpurple", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile88_darkpurple$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile88_darkpurple$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"darkpurple"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

#grey profile
genes_venom_profile80_grey <- read.table("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM/venom_control_v2/gene_lists/venom/genes_venom_profile80_grey", quote="\"", comment.char="")

venom_data<-venom_matrix[which(venom_matrix$Gene.Symbol %in% genes_venom_profile80_grey$V1),]
control_data<-controlV_matrix[which(controlV_matrix$Gene.Symbol %in% genes_venom_profile80_grey$V1),]

mean_logFC_T1_venom<-mean(venom_data$X0.3d-venom_data$X0d)
mean_logFC_T2_venom<-mean(venom_data$X1d-venom_data$X0d)
mean_logFC_T3_venom<-mean(venom_data$X7d-venom_data$X0d)
mean_logFC_T1_control<-mean(control_data$X0.3d-control_data$X0d)
mean_logFC_T2_control<-mean(control_data$X1d-control_data$X0d)
mean_logFC_T3_control<-mean(control_data$X7d-control_data$X0d)

abs_mean_logFC_venom<-c(abs(mean_logFC_T1_venom),abs(mean_logFC_T2_venom),
                        abs(mean_logFC_T3_venom))
abs_mean_logFC_control<-c(abs(mean_logFC_T1_control),abs(mean_logFC_T2_control),
                          abs(mean_logFC_T3_control))

index_highest_abs_venom<-which(abs_mean_logFC_venom==max(abs_mean_logFC_venom))
index_highest_abs_control<-which(abs_mean_logFC_control==max(abs_mean_logFC_control))

if (index_highest_abs_venom==1) 
{highest_mean_logFC_venom<-mean_logFC_T1_venom}
if (index_highest_abs_venom==2) 
{highest_mean_logFC_venom<-mean_logFC_T2_venom}
if (index_highest_abs_venom==3) 
{highest_mean_logFC_venom<-mean_logFC_T3_venom}
if (index_highest_abs_control==1) 
{highest_mean_logFC_control<-mean_logFC_T1_control}
if (index_highest_abs_control==2) 
{highest_mean_logFC_control<-mean_logFC_T2_control}
if (index_highest_abs_control==3) 
{highest_mean_logFC_control<-mean_logFC_T3_control}

profile<-"grey"

df<-data.frame(profile=profile,
               highest_mean_logFC_venom=highest_mean_logFC_venom,
               highest_mean_logFC_control=highest_mean_logFC_control)
table_FC_venom<-rbind(table_FC_venom,df)

write.table(table_FC_venom,file="table_FC_venom.txt",row.names = FALSE,col.names = TRUE,sep=",")