setwd("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM")

load("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/workspace_limma.RData")

#pollen matrix
index_pollen_T0<-which(phenotype=="P" & time==0)
index_pollen_T1<-which(phenotype=="P" & time==1)
index_pollen_T2<-which(phenotype=="P" & time==14)
index_pollen_T3<-which(phenotype=="P" & time==42)
index_pollen_T4<-which(phenotype=="P" & time==84)

pollen_matrix<-matrix(data=NA,nrow=dim(data)[1],ncol=5)
pollen_matrix[,1]=rowMeans(data[,index_pollen_T0])
pollen_matrix[,2]=rowMeans(data[,index_pollen_T1])
pollen_matrix[,3]=rowMeans(data[,index_pollen_T2])
pollen_matrix[,4]=rowMeans(data[,index_pollen_T3])
pollen_matrix[,5]=rowMeans(data[,index_pollen_T4])

pollen_matrix<-cbind(gene_names,pollen_matrix)
colnames(pollen_matrix)<-c("Gene Symbol","0d","1d","14d","42d","84d")
write.table(pollen_matrix,file="pollen_matrix.txt",row.names = FALSE,col.names = TRUE,sep="\t",quote=F)

#control_pollen
index_controlP_T0<-which(phenotype=="C" & time==0)
index_controlP_T1<-which(phenotype=="C" & time==1)
index_controlP_T2<-which(phenotype=="C" & time==14)
index_controlP_T3<-which(phenotype=="C" & time==42)
index_controlP_T4<-which(phenotype=="C" & time==84)

controlP_matrix<-matrix(data=NA,nrow=dim(data)[1],ncol=5)
controlP_matrix[,1]=rowMeans(data[,index_controlP_T0])
controlP_matrix[,2]=rowMeans(data[,index_controlP_T1])
controlP_matrix[,3]=rowMeans(data[,index_controlP_T2])
controlP_matrix[,4]=rowMeans(data[,index_controlP_T3])
controlP_matrix[,5]=rowMeans(data[,index_controlP_T4])

controlP_matrix<-cbind(gene_names,controlP_matrix)
colnames(controlP_matrix)<-c("Gene Symbol","0d","1d","14d","42d","84d")
write.table(controlP_matrix,file="controlP_matrix.txt",row.names = FALSE,col.names = TRUE,sep="\t",quote=F)