setwd("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/STEM")

load("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/workspace_limma.RData")

#venom matrix
index_venom_T0<-which(phenotype=="V" & time==0)
index_venom_T1<-which(phenotype=="V" & time==0.3)
index_venom_T2<-which(phenotype=="V" & time==1)
index_venom_T3<-which(phenotype=="V" & time==7)

venom_matrix<-matrix(data=NA,nrow=dim(data)[1],ncol=4)
venom_matrix[,1]=rowMeans(data[,index_venom_T0])
venom_matrix[,2]=rowMeans(data[,index_venom_T1])
venom_matrix[,3]=rowMeans(data[,index_venom_T2])
venom_matrix[,4]=rowMeans(data[,index_venom_T3])

venom_matrix<-cbind(gene_names,venom_matrix)
colnames(venom_matrix)<-c("Gene Symbol","0d","0.3d","1d","7d")
write.table(venom_matrix,file="venom_matrix.txt",row.names = FALSE,col.names = TRUE,sep="\t",quote=F)

#control_pollen
index_controlV_T0<-which(phenotype=="C" & time==0)
index_controlV_T1<-which(phenotype=="C" & time==0.3)
index_controlV_T2<-which(phenotype=="C" & time==1)
index_controlV_T3<-which(phenotype=="C" & time==7)

controlV_matrix<-matrix(data=NA,nrow=dim(data)[1],ncol=4)
controlV_matrix[,1]=rowMeans(data[,index_controlV_T0])
controlV_matrix[,2]=rowMeans(data[,index_controlV_T1])
controlV_matrix[,3]=rowMeans(data[,index_controlV_T2])
controlV_matrix[,4]=rowMeans(data[,index_controlV_T3])

controlV_matrix<-cbind(gene_names,controlV_matrix)
colnames(controlV_matrix)<-c("Gene Symbol","0d","0.3d","1d","7d")
write.table(controlV_matrix,file="controlV_matrix.txt",row.names = FALSE,col.names = TRUE,sep="\t",quote=F)