setwd("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/volcano_plots")

load("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/workspace_limma.RData")

# Pollen 0d vs ctrl 0d
limma_top_table<-table_PollenT0vsControlT0

library(ggrepel)
library(ggplot2)

outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey")) 
p <- p + labs(title="Pollen 0d vs ctrl 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Pollen 1d vs ctrl 1d
limma_top_table<-table_PollenT1vsControlT1

outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Pollen 1d vs ctrl 1d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Pollen 14d vs ctrl 14d
limma_top_table<-table_PollenT2vsControlT2
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Pollen 14d vs ctrl 14d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Pollen 42d vs ctrl 42d
limma_top_table<-table_PollenT3vsControlT3
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "grey"))
p <- p + labs(title="Pollen 42d vs ctrl 42d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Pollen 84d vs ctrl 84d
limma_top_table<-table_PollenT4vsControlT4
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Pollen 84d vs ctrl 84d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

#second plot - pollen 84d vs ctrl 84d
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both" & adj.P.Val < 0.01), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Pollen 84d vs ctrl 84d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Venom 0d vs ctrl 0d
limma_top_table<-table_VenomT0vsControlT0
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "grey"))
p <- p + labs(title="Venom 0d vs ctrl 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Venom 0.3d vs ctrl 0.3d
limma_top_table<-table_VenomT1vsControlT1
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Venom 0.3d vs ctrl 0.3d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Venom 1d vs ctrl 1d
limma_top_table<-table_VenomT2vsControlT2
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Venom 1d vs ctrl 1d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Venom 7d vs ctrl 7d
limma_top_table<-table_VenomT3vsControlT3
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Venom 7d vs ctrl 7d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Pollen 1d vs pollen 0d
limma_top_table<-table_PollenT1vsPollenT0
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "grey"))
p <- p + labs(title="Pollen 1d vs pollen 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Pollen 14d vs pollen 0d
limma_top_table<-table_PollenT2vsPollenT0
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "grey"))
p <- p + labs(title="Pollen 14d vs pollen 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Pollen 42d vs pollen 0d
limma_top_table<-table_PollenT3vsPollenT0
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Pollen 42d vs pollen 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Pollen 42d vs pollen 0d - only highly expressed DEGs labeled
load("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/DEG_high.RData")
indices_high<-which(limma_top_table$gene_symbol %in% DEGs_pollen_T3_vs_pollen_T0_high$gene_symbol)
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = limma_top_table[indices_high,], aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Pollen 42d vs pollen 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Pollen 84d vs pollen 0d
limma_top_table<-table_PollenT4vsPollenT0
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Pollen 84d vs pollen 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Pollen 84d vs pollen 0d - only highly expressed DEGs labeled
indices_high<-which(limma_top_table$gene_symbol %in% DEGs_pollen_T4_vs_pollen_T0_high$gene_symbol)
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = limma_top_table[indices_high,], aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Pollen 84d vs pollen 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# second plot
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both" & adj.P.Val < 0.01), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Pollen 84d vs pollen 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# second plot - only highly expressed DEGs labeled
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table[indices_high,],adj.P.Val < 0.01), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Pollen 84d vs pollen 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Venom 0.3d vs venom 0d
limma_top_table<-table_VenomT1vsVenomT0
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Venom 0.3d vs venom 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Venom 0.3d vs venom 0d - only highly expressed DEGs labeled
indices_high<-which(limma_top_table$gene_symbol %in% DEGs_venom_T1_vs_venom_T0_high$gene_symbol)
limma_top_table<-table_VenomT1vsVenomT0
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = limma_top_table[indices_high,], aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Venom 0.3d vs venom 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Venom 1d vs venom 0d
limma_top_table<-table_VenomT2vsVenomT0
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Venom 1d vs venom 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Venom 1d vs venom 0d - only highly expressed DEGs labeled
indices_high<-which(limma_top_table$gene_symbol %in% DEGs_venom_T2_vs_venom_T0_high$gene_symbol)
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = limma_top_table[indices_high,], aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Venom 1d vs venom 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Venom 7d vs venom 0d
limma_top_table<-table_VenomT3vsVenomT0
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = subset(limma_top_table, labels == "Both"), aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Venom 7d vs venom 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))

# Venom 7d vs venom 0d - only highly expressed DEGs labeled
indices_high<-which(limma_top_table$gene_symbol %in% DEGs_venom_T3_vs_venom_T0_high$gene_symbol)
outcome<-ifelse(abs(limma_top_table$logFC) > 1 & limma_top_table$adj.P.Val < 0.05, "Both", 
                ifelse(limma_top_table$adj.P.Val < 0.05, "FDR<0.05",
                       ifelse(abs(limma_top_table$logFC) > 1, "|log2FC| > 1", "None")))
limma_top_table$labels <- factor(outcome,levels=c("|log2FC| > 1","FDR<0.05","Both","None"))
p <- ggplot(limma_top_table, aes(logFC, -1*log10(adj.P.Val))) 
p <- p + geom_point(aes(color=labels), alpha=0.4, size=1.75)
p <- p + geom_text_repel(data = limma_top_table[indices_high,], aes(label = gene_symbol), size = 3)
p <- p + scale_color_manual(values =c("orange", "blue", "red", "grey"))
p <- p + labs(title="Venom 7d vs venom 0d", x=expression(log[2](Fold_Change)), y=expression(-log[10](p_adjusted_value))) 
p <- p + theme(plot.title = element_text(color="red", size=15, face="bold.italic", hjust = 0.5))
